#include "base/base.h"
namespace mozc {
namespace {
class POSMatcher {
 public:
  static uint16 GetZipcodeId() {
    return 3033;
  }
  static bool IsZipcode(uint16 id) {
    return (id == 3033);
  }
  // Functional "^(助詞|助動詞|記号|動詞,非自立|名詞,非自立|形容詞,非自立|動詞,接尾|名詞,接尾|形容詞,接尾)"
  static uint16 GetFunctionalId() {
    return 42;
  }
  static bool IsFunctional(uint16 id) {
    return ((id >= 42 && id <= 541) || (id >= 1421 && id <= 2243) || (id >= 2323 && id <= 2346) || (id >= 2359 && id <= 2580) || (id >= 2874 && id <= 2986) || (id >= 3014 && id <= 3019));
  }
  // Unknown "名詞,サ変接続"
  static uint16 GetUnknownId() {
    return 2244;
  }
  static bool IsUnknown(uint16 id) {
    return ((id >= 2244 && id <= 2247));
  }
  // FirstName "名詞,固有名詞,人名,名"
  static uint16 GetFirstNameId() {
    return 2313;
  }
  static bool IsFirstName(uint16 id) {
    return ((id == 2313));
  }
  // LastName "名詞,固有名詞,人名,姓"
  static uint16 GetLastNameId() {
    return 2314;
  }
  static bool IsLastName(uint16 id) {
    return ((id == 2314));
  }
  // Number "名詞,数,アラビア数字"
  static uint16 GetNumberId() {
    return 2349;
  }
  static bool IsNumber(uint16 id) {
    return ((id == 2349));
  }
  // KanjiNumber "名詞,数,漢数字"
  static uint16 GetKanjiNumberId() {
    return 2351;
  }
  static bool IsKanjiNumber(uint16 id) {
    return ((id >= 2351 && id <= 2357));
  }
  // NounPrefix "接頭詞,名詞接続"
  static uint16 GetNounPrefixId() {
    return 2990;
  }
  static bool IsNounPrefix(uint16 id) {
    return ((id >= 2990 && id <= 3011));
  }
  // Prefix "接頭詞,"
  static uint16 GetPrefixId() {
    return 2989;
  }
  static bool IsPrefix(uint16 id) {
    return ((id >= 2989 && id <= 3013));
  }
 private:
  POSMatcher() {}
  ~POSMatcher() {}
};
}  // namespace
}  // mozc
