
namespace  {
const int kLSize = 3033;
const int kRSize = 3033;

bool IsBoundaryInternal(uint16 rid, uint16 lid) {
  // BOS * or * EOS true
  if (rid == 0 || lid == 0) { return true; }
  // 名詞,数,アラビア数字 名詞,数,(アラビア数字|漢数字) false
  if (((rid == 2349)) && ((lid == 2349) || (lid >= 2351 && lid <= 2357))) { return false; }
  // 名詞,数,漢数字 名詞,数,アラビア数字 true
  if (((rid >= 2351 && rid <= 2357)) && ((lid == 2349))) { return true; }
  // 名詞,数,漢数字 名詞,数,漢数字 false
  if (((rid >= 2351 && rid <= 2357)) && ((lid >= 2351 && lid <= 2357))) { return false; }
  // 名詞,数,(アラビア数字|漢数字) 名詞,数,区切り文字 false
  if (((rid == 2349) || (rid >= 2351 && rid <= 2357)) && ((lid == 2350))) { return false; }
  // 名詞,数,区切り文字 名詞,数,(アラビア数字|漢数字) false
  if (((rid == 2350)) && ((lid == 2349) || (lid >= 2351 && lid <= 2357))) { return false; }
  // 記号,(句点|読点|括弧開|括弧閉) * true
  if ((rid >= 3016 && rid <= 3019)) { return true; }
  // * 記号,(句点|読点|括弧開|括弧閉|空白) true
  if ((lid >= 3016 && lid <= 3019)) { return true; }
  // ^助詞,接続助詞 ^動詞,非自立 false
  if (((rid >= 306 && rid <= 337)) && ((lid >= 1421 && lid <= 2243))) { return false; }
  // ^動詞,自立 ^動詞,非自立 false
  if (((rid >= 542 && rid <= 1420)) && ((lid >= 1421 && lid <= 2243))) { return false; }
  // 副詞,一般,*,*,*,*,よく 動詞,自立,*,*,五段・ラ行,*,なる false
  if (((rid == 22)) && ((lid == 991) || (lid == 1006) || (lid == 1021) || (lid == 1036) || (lid == 1051) || (lid == 1066) || (lid == 1081) || (lid == 1096) || (lid == 1111) || (lid == 1126) || (lid == 1141))) { return false; }
  // 名詞,接尾,サ変接続 動詞,自立,*,*,サ変・スル false
  if (((rid >= 2323 && rid <= 2327)) && ((lid >= 652 && lid <= 666))) { return false; }
  // * 動詞,非自立,*,*,五段・カ行促音便,連用タ接続,く false
  if ((lid == 1836)) { return false; }
  // ^接頭詞 ^接頭詞 true
  if (((rid >= 2989 && rid <= 3013)) && ((lid >= 2989 && lid <= 3013))) { return true; }
  // * 名詞,非自立,形容動詞語幹,*,*,*,みたい false
  if ((lid == 2493)) { return false; }
  // * ^助詞,*,*,*,*,*,(ヲ|ニ|ナ|ネ|ヨ|ン|ヨー|ワ|デ|ノ|ヘ|ヲ|之|ナア|ネェ|ヨー|なァ) true
  if ((lid >= 295 && lid <= 297) || (lid >= 349 && lid <= 353) || (lid == 362) || (lid == 378) || (lid >= 400 && lid <= 406)) { return true; }
  // * 名詞,非自立,一般,*,*,*,(コト|フシ|ホ|モノ|ン) true
  if ((lid == 2395) || (lid >= 2398 && lid <= 2401)) { return true; }
  // * 助動詞,*,*,*,特殊・デス,基本形,ッス true
  if ((lid == 190)) { return true; }
  // * 助動詞,*,*,*,特殊・デス,基本形,デス true
  if ((lid == 191)) { return true; }
  // * 助動詞,*,*,*,特殊・デス,基本形,ドス true
  if ((lid == 192)) { return true; }
  // * 助動詞,*,*,*,特殊・デス,未然形,ッス true
  if ((lid == 197)) { return true; }
  // * 助動詞,*,*,*,不変化型,基本形,じゃン true
  if ((lid == 51)) { return true; }
  // * 名詞,固有名詞,地域,一般 true
  if ((lid >= 2315 && lid <= 2318)) { return true; }
  // 接頭詞,名詞接続 * false
  if ((rid >= 2990 && rid <= 3011)) { return false; }
  // * 助動詞,*,*,*,形容詞・イ段,*,無い true
  if ((lid == 90) || (lid == 92) || (lid == 94) || (lid == 96) || (lid == 98) || (lid == 100) || (lid == 102) || (lid == 104) || (lid == 106) || (lid == 108) || (lid == 110) || (lid == 112) || (lid == 114)) { return true; }
  // 動詞 助動詞,*,*,*,形容詞・イ段,*,無い true
  if (((rid >= 408 && rid <= 2243)) && ((lid == 90) || (lid == 92) || (lid == 94) || (lid == 96) || (lid == 98) || (lid == 100) || (lid == 102) || (lid == 104) || (lid == 106) || (lid == 108) || (lid == 110) || (lid == 112) || (lid == 114))) { return true; }
  // ^(助動詞|動詞),*,*,*,*,基本形 名詞,非自立,一般,*,*,*,(事|コト) true
  if (((rid == 45) || (rid >= 48 && rid <= 57) || (rid == 62) || (rid >= 75 && rid <= 77) || (rid >= 101 && rid <= 102) || (rid == 117) || (rid == 119) || (rid >= 122 && rid <= 123) || (rid >= 133 && rid <= 134) || (rid >= 139 && rid <= 140) || (rid == 145) || (rid == 148) || (rid == 153) || (rid == 156) || (rid >= 161 && rid <= 162) || (rid >= 170 && rid <= 171) || (rid == 182) || (rid >= 186 && rid <= 192) || (rid >= 208 && rid <= 209) || (rid == 220) || (rid >= 233 && rid <= 235) || (rid == 246) || (rid >= 433 && rid <= 437) || (rid >= 477 && rid <= 484) || (rid >= 523 && rid <= 525) || (rid == 555) || (rid >= 570 && rid <= 571) || (rid >= 606 && rid <= 612) || (rid >= 642 && rid <= 643) || (rid >= 659 && rid <= 660) || (rid == 670) || (rid >= 758 && rid <= 774) || (rid == 831) || (rid == 837) || (rid >= 862 && rid <= 869) || (rid >= 914 && rid <= 917) || (rid >= 939 && rid <= 941) || (rid == 957) || (rid >= 971 && rid <= 973) || (rid >= 1061 && rid <= 1075) || (rid >= 1161 && rid <= 1165) || (rid >= 1215 && rid <= 1227) || (rid >= 1328 && rid <= 1336) || (rid == 1384) || (rid >= 1404 && rid <= 1408) || (rid == 1427) || (rid == 1437) || (rid >= 1596 && rid <= 1626) || (rid == 1723) || (rid >= 1730 && rid <= 1731) || (rid >= 1759 && rid <= 1767) || (rid >= 1820 && rid <= 1824) || (rid >= 1851 && rid <= 1852) || (rid >= 1883 && rid <= 1890) || (rid >= 1921 && rid <= 1922) || (rid >= 2017 && rid <= 2033) || (rid >= 2143 && rid <= 2147) || (rid >= 2192 && rid <= 2201) || (rid == 2241)) && ((lid == 2395) || (lid == 2403))) { return true; }
  // ^名詞 助動詞,*,*,*,(文語・ル|文語・リ|文語・マジ|文語・ゴトシ|文語・ケリ|文語・キ) true
  if (((rid >= 2244 && rid <= 2493)) && ((lid >= 115 && lid <= 125) || (lid >= 143 && lid <= 155))) { return true; }
  // ^助詞 名詞,非自立,副詞可能,*,*,*,以内 true
  if (((rid >= 249 && rid <= 407)) && ((lid == 2462))) { return true; }
  // ^(動詞|助動詞|形容詞) 名詞,非自立,副詞可能,*,*,*,他 true
  if (((rid >= 42 && rid <= 248) || (rid >= 408 && rid <= 2243) || (rid >= 2494 && rid <= 2986)) && ((lid == 2460))) { return true; }
  // ^名詞,サ変接続 動詞,自立,*,*,一段,*,できる false
  if (((rid >= 2244 && rid <= 2247)) && ((lid == 677) || (lid == 694) || (lid == 711) || (lid == 728) || (lid == 745) || (lid == 762) || (lid == 779) || (lid == 796) || (lid == 813))) { return false; }
  // * 名詞,非自立,助動詞語幹,*,*,*,よう false
  if ((lid == 2490)) { return false; }
  // * 名詞,非自立,助動詞語幹,*,*,*,様 true
  if ((lid == 2491)) { return true; }
  // ^名詞,非自立 ^助詞 false
  if (((rid >= 2359 && rid <= 2493)) && ((lid >= 249 && lid <= 407))) { return false; }
  // ^名詞 助詞,終助詞,*,*,*,*,(よ|ね|の) false
  if (((rid >= 2244 && rid <= 2493)) && ((lid >= 380 && lid <= 389) || (lid >= 394 && lid <= 396))) { return false; }
  // ^名詞 ^助詞,(終助詞|特殊|接続助詞|動詞非自立的) true
  if (((rid >= 2244 && rid <= 2493)) && ((lid >= 306 && lid <= 337) || (lid >= 357 && lid <= 406))) { return true; }
  // ^名詞 ^名詞,非自立,(一般|助動詞語幹|形容動詞語幹) true
  if (((rid >= 2244 && rid <= 2493)) && ((lid >= 2359 && lid <= 2427) || (lid >= 2488 && lid <= 2493))) { return true; }
  // ^名詞 ^形容詞,非自立 true
  if (((rid >= 2244 && rid <= 2493)) && ((lid >= 2874 && lid <= 2986))) { return true; }
  // ^名詞 ^動詞,(接尾|非自立) true
  if (((rid >= 2244 && rid <= 2493)) && ((lid >= 408 && lid <= 541) || (lid >= 1421 && lid <= 2243))) { return true; }
  // ^(動詞|形容詞|助動詞) 名詞,接尾,(サ変接続|人名|副詞可能|助数詞|地域|形容動詞語幹|形容動詞語幹) true
  if (((rid >= 42 && rid <= 248) || (rid >= 408 && rid <= 2243) || (rid >= 2494 && rid <= 2986)) && ((lid >= 2323 && lid <= 2327) || (lid >= 2329 && lid <= 2330) || (lid >= 2332 && lid <= 2345))) { return true; }
  // ^(動詞|形容詞|助動詞) 形容詞,非自立,*,*,形容詞・アウオ段,*,良い true
  if (((rid >= 42 && rid <= 248) || (rid >= 408 && rid <= 2243) || (rid >= 2494 && rid <= 2986)) && ((lid == 2883) || (lid == 2890) || (lid == 2897) || (lid == 2904) || (lid == 2911) || (lid == 2918) || (lid == 2926) || (lid == 2933) || (lid == 2940) || (lid == 2947) || (lid == 2954) || (lid == 2961))) { return true; }
  // ^接頭詞,名詞接続 ^(動詞|形容詞) true
  if (((rid >= 2990 && rid <= 3011)) && ((lid >= 408 && lid <= 2243) || (lid >= 2494 && lid <= 2986))) { return true; }
  // 名詞,固有名詞,人名 名詞,接尾,人名 false
  if (((rid >= 2312 && rid <= 2314)) && ((lid == 2329))) { return false; }
  // 名詞,固有名詞,地域 名詞,接尾,地域 false
  if (((rid >= 2315 && rid <= 2319)) && ((lid >= 2333 && lid <= 2341))) { return false; }
  // 名詞,数 名詞,接尾,助数詞 true
  if (((rid >= 2348 && rid <= 2357)) && ((lid == 2332))) { return true; }
  // 名詞,接尾,特殊 名詞,接尾,助動詞語幹 false
  if (((rid == 2346)) && ((lid == 2331))) { return false; }
  // 名詞 名詞,接尾,副詞可能 true
  if (((rid >= 2244 && rid <= 2493)) && ((lid == 2330))) { return true; }
  // ^名詞,接尾 ^名詞,接尾 true
  if (((rid >= 2323 && rid <= 2346)) && ((lid >= 2323 && lid <= 2346))) { return true; }
  // * ^名詞,接尾,(副詞可能|助動詞語幹|特殊) false
  if ((lid >= 2330 && lid <= 2331) || (lid == 2346)) { return false; }
  // * ^名詞,接尾 true
  if ((lid >= 2323 && lid <= 2346)) { return true; }
  // ^助動詞,*,*,*,特殊・ダ ^名詞,非自立 false
  if (((rid >= 179 && rid <= 185)) && ((lid >= 2359 && lid <= 2493))) { return false; }
  // ^動詞 動詞,非自立,*,*,五段・ワ行促音便,*,(ちまう|ちゃう|じまう|じゃう) false
  if (((rid >= 408 && rid <= 2243)) && ((lid >= 2176 && lid <= 2179) || (lid >= 2185 && lid <= 2188) || (lid >= 2194 && lid <= 2197) || (lid >= 2204 && lid <= 2207) || (lid >= 2213 && lid <= 2216) || (lid >= 2222 && lid <= 2225) || (lid >= 2232 && lid <= 2235))) { return false; }
  // ^動詞 動詞,非自立,*,*,五段・カ行促音便,*,(てく|どく) false
  if (((rid >= 408 && rid <= 2243)) && ((lid == 1806) || (lid == 1811) || (lid == 1817) || (lid == 1822) || (lid == 1827) || (lid == 1832) || (lid == 1837) || (lid == 1842))) { return false; }
  // ^動詞 動詞,非自立,*,*,五段・カ行イ音便,*,とく false
  if (((rid >= 408 && rid <= 2243)) && ((lid == 1734) || (lid == 1743) || (lid == 1752) || (lid == 1761) || (lid == 1770) || (lid == 1779) || (lid == 1788) || (lid == 1797))) { return false; }
  // ^動詞 動詞,非自立,*,*,一段,*,(てる|でる) false
  if (((rid >= 408 && rid <= 2243)) && ((lid == 1455) || (lid == 1457) || (lid == 1486) || (lid == 1488) || (lid == 1517) || (lid == 1519) || (lid == 1548) || (lid == 1550) || (lid == 1579) || (lid == 1581) || (lid == 1610) || (lid == 1612) || (lid == 1641) || (lid == 1643) || (lid == 1672) || (lid == 1674) || (lid == 1702) || (lid == 1704))) { return false; }
  // ^動詞 動詞,非自立,*,*,五段・ラ行,*,(とる|どる) false
  if (((rid >= 408 && rid <= 2243)) && ((lid >= 1936 && lid <= 1937) || (lid >= 1953 && lid <= 1954) || (lid >= 1971 && lid <= 1972) || (lid >= 1988 && lid <= 1989) || (lid >= 2005 && lid <= 2006) || (lid >= 2022 && lid <= 2023) || (lid >= 2039 && lid <= 2040) || (lid >= 2056 && lid <= 2057) || (lid >= 2073 && lid <= 2074) || (lid >= 2090 && lid <= 2091) || (lid >= 2107 && lid <= 2108))) { return false; }
  // ^副詞,助詞類接続,*,*,*,*,(そう|こう|どう|どぉ) ^動詞,自立,*,*,五段・ラ行,*,なる false
  if (((rid == 33) || (rid >= 37 && rid <= 39)) && ((lid == 991) || (lid == 1006) || (lid == 1021) || (lid == 1036) || (lid == 1051) || (lid == 1066) || (lid == 1081) || (lid == 1096) || (lid == 1111) || (lid == 1126) || (lid == 1141))) { return false; }
  // ^形容詞,自立,*,*,*,連用テ接続 ^動詞,自立,*,*,五段・ラ行,*,なる false
  if (((rid >= 2751 && rid <= 2765) || (rid >= 2865 && rid <= 2873)) && ((lid == 991) || (lid == 1006) || (lid == 1021) || (lid == 1036) || (lid == 1051) || (lid == 1066) || (lid == 1081) || (lid == 1096) || (lid == 1111) || (lid == 1126) || (lid == 1141))) { return false; }
  // ^名詞,副詞可能 ^動詞,自立,*,*,五段・ラ行,*,なる false
  if (((rid >= 2300 && rid <= 2309)) && ((lid == 991) || (lid == 1006) || (lid == 1021) || (lid == 1036) || (lid == 1051) || (lid == 1066) || (lid == 1081) || (lid == 1096) || (lid == 1111) || (lid == 1126) || (lid == 1141))) { return false; }
  // ^助詞,*,*,*,*,*,(は|に|で|も|が|の) ^動詞,自立,*,*,五段・ラ行,*,ある false
  if (((rid >= 264 && rid <= 265) || (rid == 278) || (rid == 286) || (rid == 305) || (rid == 309) || (rid == 322) || (rid >= 330 && rid <= 331) || (rid == 333) || (rid >= 339 && rid <= 340) || (rid >= 342 && rid <= 344) || (rid >= 359 && rid <= 360) || (rid == 373) || (rid >= 388 && rid <= 389) || (rid == 391) || (rid == 407)) && ((lid == 986) || (lid == 1001) || (lid == 1016) || (lid == 1031) || (lid == 1046) || (lid == 1061) || (lid == 1076) || (lid == 1091) || (lid == 1106) || (lid == 1121) || (lid == 1136))) { return false; }
  // ^助詞,*,*,*,*,*,(は|に|で|も|が|の|と) ^動詞,自立,*,*,サ変・スル,*,する false
  if (((rid >= 252 && rid <= 253) || (rid >= 264 && rid <= 265) || (rid >= 278 && rid <= 279) || (rid == 286) || (rid >= 304 && rid <= 305) || (rid == 309) || (rid >= 322 && rid <= 324) || (rid >= 330 && rid <= 331) || (rid == 333) || (rid >= 339 && rid <= 344) || (rid == 355) || (rid >= 359 && rid <= 360) || (rid == 373) || (rid >= 388 && rid <= 389) || (rid == 391) || (rid == 407)) && ((lid >= 652 && lid <= 658) || (lid >= 660 && lid <= 666))) { return false; }
  // ^名詞,(一般|サ変接続|形容動詞語幹|副詞可能) ^動詞,自立,*,*,サ変・スル,*,する false
  if (((rid >= 2244 && rid <= 2247) || (rid >= 2249 && rid <= 2295) || (rid >= 2300 && rid <= 2309) || (rid == 2322)) && ((lid >= 652 && lid <= 658) || (lid >= 660 && lid <= 666))) { return false; }
  // ^(形容詞|動詞|副詞) ^動詞,自立,*,*,サ変・スル,*,する false
  if (((rid >= 12 && rid <= 41) || (rid >= 408 && rid <= 2243) || (rid >= 2494 && rid <= 2986)) && ((lid >= 652 && lid <= 658) || (lid >= 660 && lid <= 666))) { return false; }
  // * ^動詞,自立,*,*,サ変・スル,*,する true
  if ((lid >= 652 && lid <= 658) || (lid >= 660 && lid <= 666)) { return true; }
  // ^助詞,*,*,*,*,*,(は|に|で|も|が|の) 形容詞,自立,*,*,形容詞・アウオ段,*,ない false
  if (((rid >= 264 && rid <= 265) || (rid == 278) || (rid == 286) || (rid == 305) || (rid == 309) || (rid == 322) || (rid >= 330 && rid <= 331) || (rid == 333) || (rid >= 339 && rid <= 340) || (rid >= 342 && rid <= 344) || (rid >= 359 && rid <= 360) || (rid == 373) || (rid >= 388 && rid <= 389) || (rid == 391) || (rid == 407)) && ((lid == 2595) || (lid == 2610) || (lid == 2625) || (lid == 2640) || (lid == 2655) || (lid == 2670) || (lid == 2685) || (lid == 2700) || (lid == 2715) || (lid == 2730) || (lid == 2745) || (lid == 2760))) { return false; }
  // ^助詞,格助詞,引用,*,*,*,と ^動詞,自立,*,*,五段・ワ行促音便,*,いう false
  if (((rid == 355)) && ((lid == 1187) || (lid == 1203) || (lid == 1216) || (lid == 1229) || (lid == 1242) || (lid == 1255) || (lid == 1268))) { return false; }
  // * 名詞,非自立,形容動詞語幹,*,*,*,ふう true
  if ((lid == 2492)) { return true; }
  // ^副詞,一般 形容詞,(接尾|非自立) true
  if (((rid >= 12 && rid <= 23)) && ((lid >= 2494 && lid <= 2580) || (lid >= 2874 && lid <= 2986))) { return true; }
  // ^助詞 形容詞,(接尾|非自立) true
  if (((rid >= 249 && rid <= 407)) && ((lid >= 2494 && lid <= 2580) || (lid >= 2874 && lid <= 2986))) { return true; }
  // 助動詞,*,*,*,特殊・ダ 名詞 true
  if (((rid >= 179 && rid <= 185)) && ((lid >= 2244 && lid <= 2493))) { return true; }
  // * ^(その他|フィラー|感動詞) true
  if ((lid >= 1 && lid <= 11) || (lid == 2987)) { return true; }
  // * ^記号,(括弧開|括弧閉|アルファベット|一般) true
  if ((lid >= 3014 && lid <= 3015) || (lid >= 3017 && lid <= 3018)) { return true; }
  // * ^記号,(句点|読点) true
  if ((lid == 3016) || (lid == 3019)) { return true; }
  // * ^形容詞,自立 true
  if ((lid >= 2581 && lid <= 2873)) { return true; }
  // * ^形容詞,(接尾|非自立) false
  if ((lid >= 2494 && lid <= 2580) || (lid >= 2874 && lid <= 2986)) { return false; }
  // * ^(助詞|助動詞) false
  if ((lid >= 42 && lid <= 407)) { return false; }
  // * ^動詞,自立 true
  if ((lid >= 542 && lid <= 1420)) { return true; }
  // * ^動詞,接尾 false
  if ((lid >= 408 && lid <= 541)) { return false; }
  // * ^名詞,(接続詞的|接尾|動詞非自立的|特殊|非自立) false
  if ((lid == 2310) || (lid >= 2323 && lid <= 2347) || (lid >= 2358 && lid <= 2493)) { return false; }
  // * ^名詞 true
  if ((lid >= 2244 && lid <= 2493)) { return true; }
  // * ^助詞,接続助詞,*,*,*,*,て false
  if ((lid == 321)) { return false; }
  // * 動詞,非自立,*,*,*,*,(いける|いる|える|かける|かねる|きれる|すぎる|たげる|つづける|づける|づける|できる|どける|のける|みせる|みる|もらえる|る|く|尽くす) false
  if ((lid >= 1421 && lid <= 1430) || (lid >= 1442 && lid <= 1448) || (lid == 1451) || (lid >= 1453 && lid <= 1454) || (lid == 1456) || (lid == 1458) || (lid >= 1460 && lid <= 1463) || (lid >= 1473 && lid <= 1479) || (lid == 1482) || (lid >= 1484 && lid <= 1485) || (lid == 1487) || (lid == 1489) || (lid >= 1491 && lid <= 1494) || (lid >= 1504 && lid <= 1510) || (lid == 1513) || (lid >= 1515 && lid <= 1516) || (lid == 1518) || (lid == 1520) || (lid >= 1522 && lid <= 1525) || (lid >= 1535 && lid <= 1541) || (lid == 1544) || (lid >= 1546 && lid <= 1547) || (lid == 1549) || (lid == 1551) || (lid >= 1553 && lid <= 1556) || (lid >= 1566 && lid <= 1572) || (lid == 1575) || (lid >= 1577 && lid <= 1578) || (lid == 1580) || (lid == 1582) || (lid >= 1584 && lid <= 1587) || (lid >= 1597 && lid <= 1603) || (lid == 1606) || (lid >= 1608 && lid <= 1609) || (lid == 1611) || (lid == 1613) || (lid >= 1615 && lid <= 1618) || (lid >= 1628 && lid <= 1634) || (lid == 1637) || (lid >= 1639 && lid <= 1640) || (lid == 1642) || (lid == 1644) || (lid >= 1646 && lid <= 1649) || (lid >= 1659 && lid <= 1665) || (lid == 1668) || (lid >= 1670 && lid <= 1671) || (lid == 1673) || (lid == 1675) || (lid >= 1677 && lid <= 1679) || (lid >= 1689 && lid <= 1695) || (lid == 1698) || (lid >= 1700 && lid <= 1701) || (lid == 1703) || (lid == 1705) || (lid >= 1707 && lid <= 1709) || (lid >= 1718 && lid <= 1727) || (lid == 1805) || (lid == 1810) || (lid == 1816) || (lid == 1821) || (lid == 1826) || (lid == 1831) || (lid == 1836) || (lid == 1841) || (lid == 1864) || (lid == 1872) || (lid == 1880) || (lid == 1888) || (lid == 1896) || (lid == 1904) || (lid == 1912) || (lid == 2121) || (lid == 2126) || (lid == 2131) || (lid == 2136) || (lid == 2144) || (lid == 2149) || (lid == 2154) || (lid == 2159) || (lid == 2164) || (lid == 2169)) { return false; }
  // * 助詞,接続助詞,*,*,*,*,で false
  if ((lid == 322)) { return false; }
  // * * true
  return true;
  return true;  // default
}
}   // namespace

